<?php

require_once( dirname(__FILE__).'/base/basesavedfilterset.php' );

/**
 * Autogenerated class SavedFilterSet_Model
 *
 * @todo: documentation
 */
class SavedFilterSet_Model extends BaseSavedFilterSet_Model {
	/**
	 * apply some extra filters to match for the authentication.
	 */
	protected function get_auth_filter() {
		$auth = Auth::instance();
		$username = $auth->get_user()->username;

		$auth_filter = new LivestatusFilterOr();
		$auth_filter->add(new LivestatusFilterMatch('username', $username));
		$auth_filter->add(new LivestatusFilterMatch('username', null));

		$result_filter = new LivestatusFilterAnd();
		$result_filter->add($this->filter);
		$result_filter->add($auth_filter);
		return $result_filter;
	}
}
